#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC7,0xF7,0xFB,0x0A,0xC0,0x74,0xC4,0x00,0x41,0x97,0xCA,0x4F,
		0x4F,0xF2,0xCE,0x1B,0xB7,0xA0,0x42,0xB5,0xE1,0xBD,0x65,0x69,
		0x7D,0x4F,0x5E,0x41,0x65,0xEE,0x3C,0x74,0x08,0x54,0xC1,0xC5,
		0x4D,0x11,0x87,0xAD,0x41,0xBA,0x78,0x70,0x3B,0xB0,0x99,0xA7,
		0x4E,0x98,0xBF,0x82,0x25,0x6E,0xD8,0xCA,0x5B,0xD5,0xC8,0xAC,
		0xF7,0xFA,0x5D,0xF3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
